### File

`packages/eui-mobile/packages/core/src/lib/components/euim-multiselect/euim-multiselect-select-field/euim-multiselect-select-field.directive.ts`

### Metadata

Selector | `[euimMultiselectSelectField]`

### Index

###### Properties

- className

###### Methods

- onIonChange

###### Inputs

- item

###### HostBindings

- class

###### HostListeners

- ionChange

### Constructor

`constructor(euimMulti: EuimMultiselectComponent)`

Parameters :

Name | Type | Optional
euimMulti | `EuimMultiselectComponent` | No

### Inputs

item
Type : `any`

### HostBindings

class
Type : `string`
Default value : `'euim-multiselect-all'`

### HostListeners

ionChange
Arguments : `'$event'`

### Methods

onIonChange
`onIonChange(event: CustomEvent)`
Decorators : `@HostListener('ionChange', ['$event'])`

Parameters :

Name | Type | Optional
event | `CustomEvent` | No

Returns : `void`

### Properties

className
Type : `string`
Default value : `'euim-multiselect-all'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""